// CMenu.h
// by Comanche

#include "defines.h"
#include "CButton.h"

#ifndef CMENU
#define CMENU

//////////////////////////////////////////////////////////////////////////////////

class CMenu
{
public:
	BOOL Menu();
	BOOL File();
	BOOL TextureOps();
	BOOL Editor();
	void SaveMap();
	void LoadMap();
	BOOL FillLand(int height);
	BOOL SetEditor(int editor);
	void DrawTextures();
	void DrawTextures(int TexPos);
	void DrawSelected(int TexPos);
	void ScrollDown();
	void ScrollUp();
	void SelectTexture();
	void CreateMiniMap();
	void DrawMiniMap();
	int Selection;
	int ScrolPos;
	BOOL MessageBox(char *caption,char *string,int ms);
	BOOL Open;
private:	
	BOOL Exit;
	BOOL State;
	char buffer[80];
	BYTE MiniMapR[64][64];
	BYTE MiniMapG[64][64];
	BYTE MiniMapB[64][64];
	CButton *MenuButtons[60];
};

#endif